## Update deployment group `client.zeroTrust.devices.deploymentGroups.edit(stringgroupId, DeploymentGroupEditParamsparams, RequestOptionsoptions?): DeploymentGroup` **patch** `/accounts/{account_id}/devices/deployment-groups/{group_id}` Updates a deployment group. Returns 409 if any newly added policy IDs already belong to another deployment group. This endpoint is in Beta. ### Parameters - `groupId: string` - `params: DeploymentGroupEditParams` - `account_id: string` Path param - `name?: string` Body param: A user-friendly name for the deployment group. - `policy_ids?: Array` Body param: Replaces the entire list of policy IDs. - `version_config?: Array` Body param: Replaces the entire version_config array. - `target_environment: string | null` The target environment for the client version (e.g., windows, macos). - `version: string` The specific client version to deploy. ### Returns - `DeploymentGroup` - `id: string` The ID of the deployment group. - `created_at: string` The RFC3339Nano timestamp when the deployment group was created. - `name: string` A user-friendly name for the deployment group. - `updated_at: string` The RFC3339Nano timestamp when the deployment group was last updated. - `version_config: Array` Contains version configurations for different target environments. - `target_environment: string | null` The target environment for the client version (e.g., windows, macos). - `version: string` The specific client version to deploy. - `policy_ids?: Array | null` Contains a list of policy IDs assigned to this deployment group. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const deploymentGroup = await client.zeroTrust.devices.deploymentGroups.edit('group_id', { account_id: 'account_id', }); console.log(deploymentGroup.id); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "id": "550e8400-e29b-41d4-a716-446655440000", "created_at": "2026-02-14T13:17:00.123456789Z", "name": "Engineering Ring 0", "updated_at": "2026-02-14T13:17:00.123456789Z", "version_config": [ { "target_environment": "windows", "version": "2026.6.234.0" } ], "policy_ids": [ "policy-uuid-1", "policy-uuid-2" ] }, "success": true } ```